__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc > - Metadata base primary template.

SYNOPSIS

#include <pat_trie_base.hpp>

  Public Types

typedef _Alloc::template rebind< Metadata > __rebind_m
typedef _Alloc allocator_type
typedef __rebind_m::other::const_reference const_reference
typedef Metadata metadata_type

  Public Member Functions

const_reference get_metadata () const

  Public Attributes

metadata_type m_metadata

Detailed Description

  template<typename Metadata, typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >"Metadata base primary template.

Definition at line 67 of file pat_trie_base.hpp.

Member Typedef Documentation

  template<typename Metadata , typename _Alloc > typedef _Alloc::template rebind<Metadata> __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::__rebind_m

Definition at line 71 of file pat_trie_base.hpp.

  template<typename Metadata , typename _Alloc > typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::allocator_type

Definition at line 70 of file pat_trie_base.hpp.

  template<typename Metadata , typename _Alloc > typedef __rebind_m::other::const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::const_reference

Definition at line 72 of file pat_trie_base.hpp.

  template<typename Metadata , typename _Alloc > typedef Metadata __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::metadata_type

Definition at line 69 of file pat_trie_base.hpp.

Member Function Documentation

  template<typename Metadata , typename _Alloc > const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::get_metadata () const [inline]

Definition at line 75 of file pat_trie_base.hpp.

Member Data Documentation

  template<typename Metadata , typename _Alloc > metadata_type __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::m_metadata

Definition at line 78 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.